[packages/adapter: 121/631] - small wrapper for adapter.awk (I rarely adapterized my specs because it was painful! Until no

glen glen at pld-linux.org
Mon Sep 12 19:44:36 CEST 2016


commit de8cc9a286c372dec4081717e52a30cf5d79695a
Author: jpc <jpc at pld-linux.org>
Date:   Thu May 13 21:37:59 2004 +0000

    - small wrapper for adapter.awk
      (I rarely adapterized my specs because it was painful!
       Until now... A new script has arrived!)
      I hope it will be useful.
    
    Changed files:
        adapter.sh -> 1.1

 adapter.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
---
diff --git a/adapter.sh b/adapter.sh
new file mode 100644
index 0000000..ccc18b7
--- /dev/null
+++ b/adapter.sh
@@ -0,0 +1,17 @@
+#!/bin/zsh
+
+if [[ $# -ne 1 || ! -f $1 ]]; then
+  echo "Usage: $0 filename"
+  exit 1
+fi
+
+./adapter.awk "$1" > "$1.adapter"
+diff "$1" "$1.adapter"|less
+echo -n "Are the changes OK? [yN] "
+read -q OK
+if [[ $OK == "y" ]]; then
+  mv "$1.adapter" "$1"
+  cvs ci "$1"
+else
+  rm "$1.adapter"
+fi
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/adapter.git/commitdiff/6ca0126d4d0c8c79feb7db10b0a0fade0f3b8885



More information about the pld-cvs-commit mailing list